## gnome-games-app 3.30.2

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)

# Plugins
# This must mirror the list in plugins/meson.build
option ('desktop-plugin',       description: 'Support for desktop games',       type: 'boolean')
option ('dreamcast-plugin',     description: 'Support for Dreamcast games',     type: 'boolean')
option ('game-cube-plugin',     description: 'Support for GameCube games',      type: 'boolean')
option ('libretro-plugin',      description: 'Support for Libretro games',      type: 'boolean')
option ('love-plugin',          description: 'Support for LÖVE games',          type: 'boolean')
option ('mame-plugin',          description: 'Support for MAME games',          type: 'boolean')
option ('nintendo-ds-plugin',   description: 'Support for Nintendo DS games',   type: 'boolean')
option ('playstation-plugin',   description: 'Support for PlayStation games',   type: 'boolean')
option ('sega-cd-plugin',       description: 'Support for Sega CD games',       type: 'boolean')
option ('sega-saturn-plugin',   description: 'Support for Sega Saturn games',   type: 'boolean')
option ('steam-plugin',         description: 'Support for Steam games',         type: 'boolean')
option ('turbografx-cd-plugin', description: 'Support for TurboGrafx-CD games', type: 'boolean')
option ('virtual-boy-plugin',   description: 'Support for Virtual Boy games',   type: 'boolean')
option ('wii-plugin',           description: 'Support for Wii games',           type: 'boolean')

## gnome-games-app 3.24.0.2

=== debian/changelog ===
gnome-games-app (3.24.0.2-0ubuntu1) zesty; urgency=medium

  * Initial release (Closes: #857508) (LP: #1669688)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 12:39:24 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-games-app
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               intltool,
               libevdev-dev,
               libgrilo-0.3-dev,
               libgtk-3-dev,
               libgudev-1.0-dev,
               libretro-gtk-0.10-dev,
               libsoup2.4-dev,
               libtool-bin,
               libtracker-sparql-1.0-dev,
               libxml2-dev,
               pkg-config (>= 0.22),
               valac,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
Homepage: https://wiki.gnome.org/Apps/Games

Package: gnome-games-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Game browser and launcher for GNOME
 GNOME Games lets you browse your video games library and easily pick
 and play a game from it.

## gnome-games-app 3.24.1

=== debian/changelog ===
gnome-games-app (3.24.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * debian/control.in:
    - Provide libretro-frontend
    - Build-depend on libtracker-sparql-2.0-dev instead of 1.0
  * Add build-with-tracker2.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 15:50:59 -0400

gnome-games-app (3.24.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #857508) (LP: #1669688)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Apr 2017 15:43:40 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-games-app
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                intltool,
@@ -18,7 +17,7 @@
                libretro-gtk-0.10-dev,
                libsoup2.4-dev,
                libtool-bin,
-               libtracker-sparql-1.0-dev,
+               libtracker-sparql-2.0-dev,
                libxml2-dev,
                pkg-config (>= 0.22),
                valac,
@@ -30,7 +29,10 @@
 Package: gnome-games-app
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         tracker
+Recommends: grilo-plugins-0.3
+Provides: libretro-frontend
 Description: Game browser and launcher for GNOME
  GNOME Games lets you browse your video games library and easily pick
  and play a game from it.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games

override_dh_install:
	rm -rf debian/gnome-games-app/usr/include
	rm -f  debian/gnome-games-app/usr/lib/*/gnome-games/plugins/*.la
	rm -f  debian/gnome-games-app/usr/lib/*/gnome-games/plugins/*.a
	rm -rf debian/gnome-games-app/usr/share/vala
	dh_install --fail-missing

## gnome-games-app 3.26.0

=== debian/changelog ===
gnome-games-app (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depend on librsvg2-dev and libsqlite3-dev
    - Build-Depend on libretro-gtk-0.12-dev
  * Drop build-with-tracker2.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 11:49:55 -0400

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,16 @@
                libgrilo-0.3-dev,
                libgtk-3-dev,
                libgudev-1.0-dev,
-               libretro-gtk-0.10-dev,
+               libretro-gtk-0.12-dev,
+               librsvg2-dev,
                libsoup2.4-dev,
+               libsqlite3-dev,
                libtool-bin,
                libtracker-sparql-2.0-dev,
                libxml2-dev,
                pkg-config (>= 0.22),
                valac,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
 Homepage: https://wiki.gnome.org/Apps/Games

## gnome-games-app 3.26.1.1

=== debian/changelog ===
gnome-games-app (3.26.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 05 Oct 2017 20:40:52 -0400

gnome-games-app (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 30 Sep 2017 08:56:03 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libxml2-dev,
                pkg-config (>= 0.22),
                valac,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
 Homepage: https://wiki.gnome.org/Apps/Games

## gnome-games-app 3.28.0

=== debian/changelog ===
gnome-games-app (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update Build-Depends per configure.ac:
    - Add libmanette-0.2-dev and libretro-gtk-0.14-dev
    - Drop libevdev-dev, libgudev-1.0-dev, and libretro-gtk-0.12-dev

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 21 Mar 2018 08:31:22 -0400

gnome-games-app (3.26.2-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Nov 2017 22:14:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-games-app
@@ -10,11 +10,10 @@
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                intltool,
-               libevdev-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
-               libgudev-1.0-dev,
-               libretro-gtk-0.12-dev,
+               libmanette-0.2-dev,
+               libretro-gtk-0.14-dev,
                librsvg2-dev,
                libsoup2.4-dev,
                libsqlite3-dev,
@@ -24,8 +23,8 @@
                pkg-config (>= 0.22),
                valac,
 Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-games.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git
 Homepage: https://wiki.gnome.org/Apps/Games
 
 Package: gnome-games-app

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

## gnome-games-app 3.29.90

=== debian/changelog ===
gnome-games-app (3.29.90-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Build-Depend on libarchive-dev
  * Bump minimum libretro-gtk-dev to 0.15.3
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.2.0
  * Drop appdata-Fix-metainfo-license.patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 11:27:14 -0400

gnome-games-app (3.28.0-4) unstable; urgency=medium

  * Edit appdata-Fix-metainfo-license.patch:
    Really use the correct metadata_license tag name

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Aug 2018 06:51:11 -0400

gnome-games-app (3.28.0-3) unstable; urgency=medium

  * Edit appdata-Fix-metainfo-license.patch:
    Use the correct metadata_license tag name

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Aug 2018 17:37:41 -0400

gnome-games-app (3.28.0-2) unstable; urgency=medium

  * Set Architecture to linux-any since libmanette and retro-gtk are
    Linux-only
  * Update debian/gbp.conf
  * Cherry-pick appdata-Fix-metainfo-license.patch:
    Fix metadata license in Appstream metadata (LP: #1787780)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Aug 2018 22:04:14 -0400

## gnome-games-app 3.30.0

=== debian/changelog ===
gnome-games-app (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:58:03 -0400

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,29 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
-               intltool,
+               libarchive-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
                libmanette-0.2-dev,
-               libretro-gtk-0.14-dev,
+               libretro-gtk-0.14-dev (>= 0.15.3),
                librsvg2-dev,
                libsoup2.4-dev,
                libsqlite3-dev,
                libtool-bin,
                libtracker-sparql-2.0-dev,
                libxml2-dev,
+               meson (>= 0.46.1),
                pkg-config (>= 0.22),
                valac,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git
 Homepage: https://wiki.gnome.org/Apps/Games
 
 Package: gnome-games-app
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          tracker

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

override_dh_install:
	rm -rf debian/gnome-games-app/usr/include
	rm -rf debian/gnome-games-app/usr/share/vala
	dh_install --fail-missing

## gnome-games-app 3.30.1

=== debian/changelog ===
gnome-games-app (3.30.1-1) unstable; urgency=medium

  * New upstream release (Closes: #909359)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 08:53:10 -0400

## gnome-games-app 3.30.2

=== debian/changelog ===
gnome-games-app (3.30.2-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Use relative directory for bindir override
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:50:01 -0500

gnome-games-app (3.30.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 15:48:07 -0500

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
                libtool-bin,
                libtracker-sparql-2.0-dev,
                libxml2-dev,
+               libxml2-utils,
                meson (>= 0.46.1),
                pkg-config (>= 0.22),
                valac,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git
 Homepage: https://wiki.gnome.org/Apps/Games

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --bindir=games

override_dh_install:
	rm -rf debian/gnome-games-app/usr/include
	rm -rf debian/gnome-games-app/usr/share/vala
	dh_install --fail-missing

## gnome-games-app 3.31.90

=== debian/changelog ===
gnome-games-app (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on libhandy-0.0-dev
  * Build-Depend on appstream-util and desktop-file-utils for build tests
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Add X-Ubuntu-Use-Langpack: yes to opt in to Ubuntu language packs

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 23:00:17 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
                libarchive-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
+               libhandy-0.0-dev,
                libmanette-0.2-dev,
                libretro-gtk-0.14-dev (>= 0.15.3),
                librsvg2-dev,
@@ -25,6 +28,7 @@
                pkg-config (>= 0.22),
                valac,
 Standards-Version: 4.3.0
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git
 Homepage: https://wiki.gnome.org/Apps/Games

=== debian/watch ===
version=4
https://download.gnome.org/sources/gnome-games/([\d\.]+)/ \
	gnome-games@ANY_VERSION@\.tar\.xz

## gnome-games-app 3.32.0

=== debian/changelog ===
gnome-games-app (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libhandy-0.0-dev to 0.0.8
  * Add Revert-gamepad-view-Stop-accessing-Rsvg.Handle-fields.patch:
    - Revert commit that requires librsvg 2.45 (not in Debian yet)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 08:50:32 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libarchive-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
-               libhandy-0.0-dev,
+               libhandy-0.0-dev (>= 0.0.8),
                libmanette-0.2-dev,
                libretro-gtk-0.14-dev (>= 0.15.3),
                librsvg2-dev,

## gnome-games-app 3.34.0

=== debian/changelog ===
gnome-games-app (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libhandy to 0.0.10
  * Bump minimum retro-gtk to 0.18
  * Drop patch: applied in new release
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 20:40:25 -0400

## gnome-games-app 3.34.1

=== debian/changelog ===
gnome-games-app (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Add Revert-plugin-regirstrar-lazy.patch:

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 21:02:39 -0400

## gnome-games-app 3.35.92

=== debian/changelog ===
gnome-games-app (3.35.92-0build1) focal; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 23:16:41 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libarchive-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
-               libhandy-0.0-dev (>= 0.0.8),
+               libhandy-0.0-dev (>= 0.0.10),
                libmanette-0.2-dev,
-               libretro-gtk-0.14-dev (>= 0.15.3),
+               libretro-gtk-0.14-dev (>= 0.18.0),
                librsvg2-dev,
                libsoup2.4-dev,
                libsqlite3-dev,

## gnome-games-app 3.36.0

=== debian/changelog ===
gnome-games-app (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Set Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Mar 2020 18:38:47 +0200

gnome-games-app (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 23:16:41 +0100

## gnome-games-app 3.36.1

=== meson_options.txt ===
--- 
+++ 
@@ -15,7 +15,8 @@
 option ('game-cube-plugin',     description: 'Support for GameCube games',      type: 'boolean')
 option ('libretro-plugin',      description: 'Support for Libretro games',      type: 'boolean')
 option ('love-plugin',          description: 'Support for LÖVE games',          type: 'boolean')
-option ('mame-plugin',          description: 'Support for MAME games',          type: 'boolean')
+option ('mame-plugin',          description: 'Support for MAME games',          type: 'boolean', value: false)
+option ('ms-dos-plugin',        description: 'Support for MS-DOS games',        type: 'boolean')
 option ('nintendo-ds-plugin',   description: 'Support for Nintendo DS games',   type: 'boolean')
 option ('playstation-plugin',   description: 'Support for PlayStation games',   type: 'boolean')
 option ('sega-cd-plugin',       description: 'Support for Sega CD games',       type: 'boolean')

=== debian/changelog ===
gnome-games-app (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Apr 2020 20:22:27 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
@@ -27,7 +27,8 @@
                meson (>= 0.46.1),
                pkg-config (>= 0.22),
                valac,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=games

override_dh_install:
	rm -rf debian/gnome-games-app/usr/include
	rm -rf debian/gnome-games-app/usr/share/vala
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## gnome-games-app 3.38.0

=== meson_options.txt ===
--- 
+++ 
@@ -15,8 +15,9 @@
 option ('game-cube-plugin',     description: 'Support for GameCube games',      type: 'boolean')
 option ('libretro-plugin',      description: 'Support for Libretro games',      type: 'boolean')
 option ('love-plugin',          description: 'Support for LÖVE games',          type: 'boolean')
-option ('mame-plugin',          description: 'Support for MAME games',          type: 'boolean', value: false)
+option ('mame-plugin',          description: 'Support for MAME games',          type: 'boolean')
 option ('ms-dos-plugin',        description: 'Support for MS-DOS games',        type: 'boolean')
+option ('nintendo-64-plugin',   description: 'Support for Nintendo 64 games',   type: 'boolean')
 option ('nintendo-ds-plugin',   description: 'Support for Nintendo DS games',   type: 'boolean')
 option ('playstation-plugin',   description: 'Support for PlayStation games',   type: 'boolean')
 option ('sega-cd-plugin',       description: 'Support for Sega CD games',       type: 'boolean')

=== debian/changelog ===
gnome-games-app (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Build-dependencies
  * debian/rules: Do not call ldconfig for the plugins

 -- Laurent Bigonville <bigon@debian.org>  Tue, 15 Dec 2020 09:43:08 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libarchive-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
-               libhandy-0.0-dev (>= 0.0.10),
+               libhandy-1-dev (>= 0.90.0),
                libmanette-0.2-dev,
-               libretro-gtk-0.14-dev (>= 0.18.0),
+               libretro-gtk-1-dev (>= 0.18.0),
                librsvg2-dev,
                libsoup2.4-dev,
                libsqlite3-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_makeshlibs:
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gnome-games/plugins/

=== debian/watch ===
version=4
https://download.gnome.org/sources/gnome-games/([\d\.]+[02468])/ \
	gnome-games@ANY_VERSION@\.tar\.xz

## gnome-games-app 40~beta

=== debian/changelog ===
gnome-games-app (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated build requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 16:06:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,17 @@
                libarchive-dev,
                libgrilo-0.3-dev,
                libgtk-3-dev,
-               libhandy-1-dev (>= 0.90.0),
+               libhandy-1-dev (>= 1.1.90),
                libmanette-0.2-dev,
-               libretro-gtk-1-dev (>= 0.18.0),
-               librsvg2-dev,
+               libretro-gtk-1-dev (>= 1.0.0),
+               librsvg2-dev (>= 2.45.5),
                libsoup2.4-dev,
                libsqlite3-dev,
                libtool-bin,
                libtracker-sparql-2.0-dev,
                libxml2-dev,
                libxml2-utils,
-               meson (>= 0.46.1),
+               meson (>= 0.50),
                pkg-config (>= 0.22),
                valac,
 Rules-Requires-Root: no

## gnome-games-app 40.0

=== meson_options.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 option ('love-plugin',          description: 'Support for LÖVE games',          type: 'boolean')
 option ('mame-plugin',          description: 'Support for MAME games',          type: 'boolean')
 option ('ms-dos-plugin',        description: 'Support for MS-DOS games',        type: 'boolean')
+option ('nintendo-3ds-plugin',  description: 'Support for Nintendo 3DS games',  type: 'boolean')
 option ('nintendo-64-plugin',   description: 'Support for Nintendo 64 games',   type: 'boolean')
 option ('nintendo-ds-plugin',   description: 'Support for Nintendo DS games',   type: 'boolean')
 option ('playstation-plugin',   description: 'Support for PlayStation games',   type: 'boolean')

=== debian/changelog ===
gnome-games-app (40.0-4) unstable; urgency=medium

  * Add patch to fix build with latest meson (Closes: #1005557)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 05:03:05 -0400

gnome-games-app (40.0-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Simplify a bit
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 07:30:54 -0400

gnome-games-app (40.0-2) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/changelog: Add missing entry

  [ Iain Lane ]
  * d/p/Revert-plugin-registrar-lazy.patch: Drop. It was to avoid requiring
    vala 0.46, which is now not necessary to do.
  * control: Bump valac to 0.46, as per the previous commit
  * control, patches/tracker-3: Port to tracker 3

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 11:21:09 +0100

gnome-games-app (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:33:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
@@ -21,12 +21,12 @@
                libsoup2.4-dev,
                libsqlite3-dev,
                libtool-bin,
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libxml2-dev,
                libxml2-utils,
                meson (>= 0.50),
                pkg-config (>= 0.22),
-               valac,
+               valac (>= 0.46),
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
@@ -38,7 +38,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         tracker
+         tracker (>= 3.0)
 Recommends: grilo-plugins-0.3
 Provides: libretro-frontend
 Description: Game browser and launcher for GNOME

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=games

execute_before_dh_install:
	rm -rf debian/gnome-games-app/usr/include
	rm -rf debian/gnome-games-app/usr/share/vala

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gnome-games/plugins/

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/gnome-games/cache.json \
	\d+/gnome-games-([\d.]+)@ARCHIVE_EXT@
